<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Look_Like_GBO                                                                |
// | Plugin Version : 1.1                                                                                    |
// | File Version : 0.1                                                                                       |
// | Plugin Version author : Ex-FTB                                                               |
// | Plugin description :                                                                                  |
// | Ce plugin permet d'afficher les miniatures au survol des boutons     |
// | de navigation. This plugin allows display thumbnail under buton        |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// ***************************************
// ** Plugin Administration panel setup **
// ***************************************
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
/* ****************************************************** */
/* Plugin template initialisation for admin panel display */
/* ****************************************************** */
global $template , $conf;
$me = get_plugin_data($plugin_id);
$template->assign_vars( array( 'LLGBOINFO' => ''));

// Load configuration settings from database
 
$conf_LLGBO = explode("," , $conf['LLGBO']);

// Setup plugin Language
  $RPlang = ( isset($user['language']) ) ?
  $user['language'] : $conf['default_language']; // en_UK.iso-8859-1
  $my_path = dirname(__FILE__).'/../';
  $rp = array();
  if ( !@file_exists($my_path."language/$RPlang/lang.admin.llgbo.php") )
  {
    $SIElang = 'en_UK.iso-8859-1';
  }
// Include language
  @include_once( $my_path."language/$RPlang/lang.admin.llgbo.php" );

// Update configuration settings in database
if ( isset($_POST['submit']) )
{  
if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'off';} 
if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'off';}  
if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'off';}  
if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'off';}
if (!isset($_POST['llgbo_usemap_thumb'])) {$_POST['llgbo_usemap_thumb'] = 'off';}
if (!isset($_POST['llgbo_title_frame'])) {$_POST['llgbo_title_frame'] = 'off';}    
if (!isset($_POST['llgbo_header'])) {$_POST['llgbo_header'] = 'off';} 
if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'off';}
 $param_llgbo = array($_POST['llgbo_frame'],
            $_POST['llgbo_tooltip'],
            $_POST['llgbo_exifunderbt'],
            $_POST['llgbo_usemap'],
			$_POST['llgbo_usemap_thumb'],
            $_POST['llgbo_title_frame'],
			$_POST['llgbo_header'],
			$_POST['llgbo_maintain_header'],
			$_POST['llgbo_allinfo'],
		);		 
        $llgbo_new_value = implode ("," , $param_llgbo);
        $query = '
UPDATE ' . CONFIG_TABLE . '
  SET value="' . $llgbo_new_value . '"
  WHERE param="LLGBO"
  LIMIT 1';
        pwg_query($query);

 //$template->assign_block_vars('information',array('INFORMATION'=>$lang['news_added']));
 $template->assign_block_vars('information',array('INFORMATION'=>$lang['llgbo_info']));

// Reload settings for correct display after update
$conf['LLGBO']= $llgbo_new_value;
}
$conf_LLGBO = explode("," , $conf['LLGBO']);
// template setting
if ($conf_LLGBO[0] == 'on')
{ $template->assign_vars( array( 'LLGBO_FRAME' => 'checked="checked"'));}
 else
{  $template->assign_vars( array( 'LLGBO_FRAME' => ''));}
if ($conf_LLGBO[1] == 'on')
{$template->assign_vars( array( 'LLGBO_TOOLTIP' => 'checked="checked"'));}
 else
 {$template->assign_vars( array( 'LLGBO_TOOLTIP' => ''));}
 
if ($conf_LLGBO[2]  == 'on')
{$template->assign_vars( array( 'LLGBO_EXIFUNDERBT' => 'checked="checked"'));}
 else
 {$template->assign_vars( array( 'LLGBO_EXIFUNDERBT' => ''));}
 
if ($conf_LLGBO[3]  == 'on')
 {$template->assign_vars( array( 'LLGBO_USEMAP' => 'checked="checked"'));}
 else
 { $template->assign_vars( array( 'LLGBO_USEMAP' => ''));}
 
 if ($conf_LLGBO[4]  == 'on')
 {$template->assign_vars( array( 'LLGBO_USEMAP_THUMB' => 'checked="checked"'));}
 else
 { $template->assign_vars( array( 'LLGBO_USEMAP_THUMB' => ''));}
 
 if ($conf_LLGBO[5]  == 'on')
{ $template->assign_vars( array( 'LLGBO_TITLE_FRAME' => 'checked="checked"'));}
 else
{  $template->assign_vars( array( 'LLGBO_TITLE_FRAME' => ''));}

if ($conf_LLGBO[6] == 'on')
{ $template->assign_vars( array( 'LLGBO_HEADER' => 'checked="checked"'));}
 else
 { $template->assign_vars( array( 'LLGBO_HEADER' => ''));}
 $template->assign_vars( array( 'LLGBO_MAINTAIN_HEADER' => $conf_LLGBO[7]));
 
 if ($conf_LLGBO[8]  == 'on')
{ $template->assign_vars( array( 'LLGBO_ALLINFO' => 'checked="checked"'));}
 else
{  $template->assign_vars( array( 'LLGBO_ALLINFO' => ''));}
$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/llgbo_admin.tpl') );
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
?>